Bug 259786

Summary: games/omega: Fix inventory display crash, Take MAINTAINER'ship
Product: Ports & Packages Reporter: Alex <r7st.guru>
Component: Individual Port(s)Assignee: Hiroki Tagato <tagattie>
Status: Closed FIXED    
Severity: Affects Many People CC: tagattie
Priority: --- Keywords: easy, needs-qa
Version: LatestFlags: tagattie: merge-quarterly+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
maintainer update and bug fix koobs: maintainer-approval+

Description Alex 2021-11-11 23:35:36 UTC
Created attachment 229437 [details]
maintainer update and bug fix

Resolved crash / display issue when removing item from pack.
Adopting port.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-11 23:38:36 UTC
Thank you for the report, patch and adopting the port Alex!
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-11 23:40:25 UTC
Comment on attachment 229437 [details]
maintainer update and bug fix

Approved by: portmgr (blanket: bugfix, unmaintained port)
MFH: 2021Q4
Comment 3 Alex 2021-11-30 00:47:21 UTC
Might be worth adding a PORTREVISION of 1 as well. The included change prevents crash / display problems, but the code still has some issues. For example, when compiling with clang, -O2 is required or display issues return (but no crash).
Comment 4 commit-hook freebsd_committer 2021-12-12 07:56:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dfc806ae70f1cd36860b6b90e4185d2198446f7a

commit dfc806ae70f1cd36860b6b90e4185d2198446f7a
Author:     Alex <r7st.guru@gmail.com>
AuthorDate: 2021-12-12 07:53:57 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-12-12 07:55:44 +0000

    games/omega: Fix inventory display crash and take maintainership

    PR:             259786
    Reported by:    Alex <r7st.guru@gmail.com> (new maintainer)
    Approved by:    portmgr (blanket: bugfix, unmaintained port)
    MFH:            2021Q4

 games/omega/Makefile          |  3 ++-
 games/omega/files/patch-inv.c | 14 ++++++++++++--
 2 files changed, 14 insertions(+), 3 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-12-12 07:58:15 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a34084d590bbd0c46ca1509c17914d5865daaa81

commit a34084d590bbd0c46ca1509c17914d5865daaa81
Author:     Alex <r7st.guru@gmail.com>
AuthorDate: 2021-12-12 07:53:57 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-12-12 07:57:45 +0000

    games/omega: Fix inventory display crash and take maintainership

    PR:             259786
    Reported by:    Alex <r7st.guru@gmail.com> (new maintainer)
    Approved by:    portmgr (blanket: bugfix, unmaintained port)
    MFH:            2021Q4

    (cherry picked from commit dfc806ae70f1cd36860b6b90e4185d2198446f7a)

 games/omega/Makefile          |  3 ++-
 games/omega/files/patch-inv.c | 14 ++++++++++++--
 2 files changed, 14 insertions(+), 3 deletions(-)
Comment 6 Hiroki Tagato freebsd_committer 2021-12-12 07:59:13 UTC
Committed, thanks!